%define version 4.6.2
%define release %mkrel 1

%define libticables_version 3.6.1
%define libtifiles_version 0.6.1

%define major 4
%define libname %mklibname ticalcs %{major}

Summary:	Library to handle the different TI calculators
Name:		libticalcs
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Communications
URL:		http://tilp.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/tilp/%{name}-%{version}.tar.bz2 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libticables-devel >= %{libticables_version}
BuildRequires:	libtifiles-devel >= %{libtifiles_version}
Requires:	%{libname} = %{version}

%description
The TiCalcs library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is a library which brings about all the functions needed to communicate
with a Texas Instruments graphing calculator (or hand-held), without
worrying about packet oriented protocol, the file management and some
other stuffs. Currently, it does not support some education devices
(such as CBL/CBR and others).

It supports all currently available calculators and their associated file
formats:
- TI8x calculators: TI73, 82, 83, TI83+, 85 and 86 (with 2 sub-classes:
  TI73/83+ and 85/86).
- TI9x calculators: TI89, 92, 92+ and V200PLT.

%package	-n %{libname}
Summary:	Library to handle different TI calculators
Group:		Communications
Provides:	%{name} = %{version}-%{release}
Requires:	%{name} = %{version}

%description	-n %{libname}
The TiCalcs library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is a library which brings about all the functions needed to communicate
with a Texas Instruments graphing calculator (or hand-held), without
worrying about packet oriented protocol, the file management and some
other stuffs. Currently, it does not support some education devices
(such as CBL/CBR and others).

It supports all currently available calculators and their associated file
formats:
- TI8x calculators: TI73, 82, 83, TI83+, 85 and 86 (with 2 sub-classes:
  TI73/83+ and 85/86).
- TI9x calculators: TI89, 92, 92+ and V200PLT.


%package	-n %{libname}-devel
Summary:	Development related files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	libticables-devel >= %{libticables_version}
Requires:	libtifiles-devel >= %{libtifiles_version}

%description	-n %{libname}-devel
This package contains headers and other necessary files to develop 
or compile applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x --enable-static=yes
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std gnulocaledir=${RPM_BUILD_ROOT}%{_datadir}/locale

%find_lang %{name}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root)

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_includedir}/tilp/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Sun Jan 21 2007 Olivier Thauvin <nanardon@mandriva.org> 4.6.2-1mdv2007.0
+ Revision: 111423
- 4.6.2
- 4.6.1
- Import libticalcs


* Tue Jun 28 2005 Olivier Thauvin <nanardon@mandriva.org> 4.5.9-1mdk
- 4.5.9

* Sun Feb 06 2005 Abel Cheung <deaddog@mandrake.org> 4.5.5-1mdk
- New version
- Split package, otherwise can't have multilib

* Sun May 30 2004 Abel Cheung <deaddog@deaddog.org> 4.5.3-1mdk
- New version
- Doesn't need to build against multiple version of glib, thus change
  package name back to old one

* Sun Oct 12 2003 Abel Cheung <deaddog@deaddog.org> 4.5.1-2mdk
- Build and bundle old version of library (linked against glib 1.x),
  which is useful for TiEmu

* Sat Oct 11 2003 Abel Cheung <deaddog@deaddog.org> 4.5.1-1mdk
- 4.5.1
- More verbose description
- Merge docs back to devel subpackage since there's not a large amount
  of documentation, and they are API docs (really for development)
- License is LGPL
- Define libtoolize instead of calling bare configure without macros
- Compile static library as well
- mklibname with API version

* Sat Apr 26 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.4.3-2mdk
- rebuild

* Sat Apr 26 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.4.3-1mdk
- 4.4.3

* Sat Feb 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.3.0-1mdk
- 4.3.0
- use %%mklibname

* Thu Dec 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2.8-1mdk
- 4.2.8

* Sun Nov 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2.7-1mdk
- 2.4.7

* Tue Sep 03 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.1.6-1mdk
- port to mdk

* Thu Jun 13 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.3.8

* Tue Mar 5 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.3.1

* Mon Feb 25 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.3.0

* Tue Feb 12 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.1.3

* Sun Feb 10 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.1.2

* Tue Nov 27 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 2.0.7

* Sat Oct 20 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 2.0.0

* Mon Jul 02 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.8.0

* Sun May  6 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.6.4

* Sat Mar 24 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.5.8

* Sun Feb 18 2001 Benjamin Gordon <ben@bxg.org>
- Fixed conflicts with libti_calcs and libticables

* Sun Feb 18 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.5.1
